transcript on
if {[file exists work]} {
	vdel -lib work -all
}
vlib work
vmap work work
vlog -sv -work work {cordic.v}
vlog -sv -work work {cordic_tb.v}


vsim -t 1ns -L work -voptargs="+acc"  cordic_tb


add wave -divider     "Angle/CLK/Out"
add wave -hexadecimal sim:/cordic_tb/DUT/angle
add wave -hexadecimal sim:/cordic_tb/DUT/clk
add wave -analog      sim:/cordic_tb/DUT/sine
add wave -divider     "Internals"
add wave -hexadecimal sim:/cordic_tb/DUT/remainder
add wave -hexadecimal sim:/cordic_tb/DUT/x
add wave -hexadecimal sim:/cordic_tb/DUT/y

do run_cord.do
